package com.czg.market.service;

import com.czg.market.dto.GbWareDTO;
import com.czg.market.dto.GbWareQueryParamDTO;
import com.czg.market.entity.GbWare;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

/**
 * 拼团商品 服务层。
 *
 * @author ww
 * @since 2025-12-15
 */
public interface GbWareService extends IService<GbWare> {

    //拼团 活动 注意分店 主店的 问题
    Page<GbWare> getGbWarePage(GbWareQueryParamDTO param, Long shopId, boolean isAdmin);

    //添加
    boolean addGbWare(GbWareDTO param);

    //修改 下架状态可修改
    boolean updateGbWareById(GbWareDTO param);

    //删除 下架状态可删除
    boolean deleteGbWare(Long id);

    // 累计拼团数+1
    void upGbWareGroupedNum(Long id, Integer num);
}
